Subject: Re: bug#42256: 27.0.50; composition

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Jul 2020 20:51:48 +0300

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 08 Jul 2020 23:01:27 -0400
> 
>   > I'm not sure I understand what you'd like to see there in addition to
>   > what is shown (the codepoint in hex).  That diamond means that your
>   > terminal cannot display this codepoint, so Emacs cannot usefully show
>   > you what it looks like
> 
> I did not say "show", I said "say":

Please forgive me for not getting this fine nuance of what you said.
We frequently use "say" meaning something a program displays (as in
"Emacs says this:" etc.), so it was easy for me to misunderstand.

> If that diamond were not inside a composition, I could use C-u C-x =
> on it and find out what character that is.  The flaw here is that
> there is no way to see the descriptive name of the second character in
> a composition.

As I said, you can "C-u C-x =" on that diamond in the *Help* buffer,
but I agree that it would be handy to have the info shown
automatically.

> I would like C-u C-x = on a composed charadcter to show the name for
> each character in the composition.

OK, I've now added the names of the characters to the composition
information display on TTY frames.  From now on Emacs will say in this
case:

  Composed with the following character(s) "̄" by these characters:
   u (#x75) LATIN SMALL LETTER U
   ̄ (#x304) COMBINING MACRON

I'm therefore closing this bug report.